Bug 855438 - CLEANALLRUV task gets stuck on winsync replication agreement
CLEANALLRUV task gets stuck on winsync replication agreement
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 14:21 EDT by Rich Megginson
Modified: 2013-02-21 03:20 EST (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.14-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Incorrectly tried to send cleanallruv task to windows winsync replication agreements Consequence: The task will hang Fix: Ignore winsync replication agreements Result: The task does not hang
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2012-09-07 14:21:28 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/450

When IPA server has a winsync replication agreement and CLEANALLRUV task is run, it gets stuck on this agreement trying to run the task there even though it should rather ignore it:

{{{
# ipa-replica-manage list
dc.ad.test: winsync   <<<<<<<
vm-072.idm.lab.bos.redhat.com: master
vm-086.idm.lab.bos.redhat.com: master
}}}

dirsrv error log:
{{{
[06/Sep/2012:11:59:10 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Waiting
for all the replicas to receive all the deleted replica updates...
[06/Sep/2012:11:59:10 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Failed
to contact agmt (agmt="cn=meTodc.ad.test" (dc:389)) error (10), will retry later.
[06/Sep/2012:11:59:10 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Not all
replicas caught up, retrying in 10 seconds
[06/Sep/2012:11:59:20 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Failed
to contact agmt (agmt="cn=meTodc.ad.test" (dc:389)) error (10), will retry later.
[06/Sep/2012:11:59:20 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Not all
replicas caught up, retrying in 20 seconds
[06/Sep/2012:11:59:40 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Failed
to contact agmt (agmt="cn=meTodc.ad.test" (dc:389)) error (10), will retry later.
[06/Sep/2012:11:59:40 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Not all
replicas caught up, retrying in 40 seconds
}}}
Comment 2 Sankar Ramalingam 2012-11-26 12:08:57 EST
Looks like the test case cleanallruv_04 is failing with official build of rhel64: 389-ds-base-1.2.11.15-4. 

Mark, can you please take a look at this?

                                                     
----------------- Starting Test cleanallruv_04 -------------------------
Running cleanallruv task to remove one of the Supplier from the winsync replication setup
Running - cleanallruv_04 to verify Bug #855438 - CLEANALLRUV task gets stuck on winsync replication agreement
adding new entry cn=WinAgmnt,cn=replica,cn="dc=cleanallruv,dc=com",cn=mapping tree,cn=config

Usage: RC_cleanallruv Return_Code TEST_ID [Error Message] 
Running cleanReplAgrmt on M2 to cleanup all the replication agreements from M2->M1, M2->M3, M2->H1 and M2->H2
Sleeping for 15 secs before running the cleanAllRuv tasks
Running cleanallruv task for Master4 with RID=1234 on Master1
adding new entry cn=WinSyncTask,cn=cleanallruv,cn=tasks,cn=config

Successfully completed Running CleanAllRUV task on M1 to cleanup M4
Sleeping for 15 secs before checking the other replicas
Checking whether cleanallruv task remvoed the RUV information from M1
replica id - 1234 is not present/successfully removed from PORT-21927, INST-C1, return code-1
Test result for cleanallruv_04, Bug #855438 - CLEANALLRUV task gets stuck on winsync replication agreement, Actual_Result=0, Expected_Result=0
TestCase [cleanallruv04] result-> [PASS]
replica id - 1234 is not present/successfully removed from PORT-21928, INST-C2, return code-1
Test result for cleanallruv_04, Bug #855438 - CLEANALLRUV task gets stuck on winsync replication agreement, Actual_Result=0, Expected_Result=0
TestCase [cleanallruv04] result-> [PASS]
replica id - 1234 is not present/successfully removed from PORT-21926, INST-H2, return code-1
Test result for cleanallruv_04, Bug #855438 - CLEANALLRUV task gets stuck on winsync replication agreement, Actual_Result=0, Expected_Result=0
TestCase [cleanallruv04] result-> [PASS]
dn: cn=cleanallruv,cn=tasks,cn=config objectClass: top objectClass: extensibleObject cn: cleanallruv dn: cn=M2Task,cn=cleanallruv,cn=tasks,cn=config cn: M2Task objectClass: extensibleObject objectClass: top replica-base-dn: dc=cleanallruv,dc=com replica-id: 1232 nstaskcurrentitem: 9 nstasktotalitems: 1 nstasklog:: Q2xlYW5pbmcgcmlkICgxMjMyKS4uLgpXYWl0aW5nIHRvIHByb2Nlc3MgYWxsIHRoZ SB1cGRhdGVzIGZyb20gdGhlIGRlbGV0ZWQgcmVwbGljYS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlI HJlcGxpY2FzIHRvIGJlIG9ubGluZS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvI HJlY2VpdmUgYWxsIHRoZSBkZWxldGVkIHJlcGxpY2EgdXBkYXRlcy4uLgpTZW5kaW5nIGNsZWFuQ WxsUlVWIHRhc2sgdG8gYWxsIHRoZSByZXBsaWNhcy4uLgpDbGVhbmluZyBsb2NhbCBydXYncy4uL gpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvIGJlIGNsZWFuZWQuLi4KUmVwbGljYXMga GF2ZSBub3QgYmVlbiBjbGVhbmVkIHlldCwgcmV0cnlpbmcgaW4gMTAgc2Vjb25kcwpTdWNjZXNzZ nVsbHkgY2xlYW5lZCByaWQoMTIzMiku nstaskstatus: Successfully cleaned rid(1232). nstaskexitcode: 0 dn: cn=M3Task,cn=cleanallruv,cn=tasks,cn=config cn: M3Task objectClass: extensibleObject objectClass: top replica-base-dn: dc=cleanallruv,dc=com replica-id: 1233 nstaskcurrentitem: 11 nstasktotalitems: 1 nstasklog:: Q2xlYW5pbmcgcmlkICgxMjMzKS4uLgpXYWl0aW5nIHRvIHByb2Nlc3MgYWxsIHRoZ SB1cGRhdGVzIGZyb20gdGhlIGRlbGV0ZWQgcmVwbGljYS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlI HJlcGxpY2FzIHRvIGJlIG9ubGluZS4uLgpOb3QgYWxsIHJlcGxpY2FzIG9ubGluZSwgcmV0cnlpb mcgaW4gMTAgc2Vjb25kcy4uLgpOb3QgYWxsIHJlcGxpY2FzIG9ubGluZSwgcmV0cnlpbmcgaW4gM jAgc2Vjb25kcy4uLgpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvIHJlY2VpdmUgYWxsI HRoZSBkZWxldGVkIHJlcGxpY2EgdXBkYXRlcy4uLgpTZW5kaW5nIGNsZWFuQWxsUlVWIHRhc2sgd G8gYWxsIHRoZSByZXBsaWNhcy4uLgpDbGVhbmluZyBsb2NhbCBydXYncy4uLgpXYWl0aW5nIGZvc iBhbGwgdGhlIHJlcGxpY2FzIHRvIGJlIGNsZWFuZWQuLi4KUmVwbGljYXMgaGF2ZSBub3QgYmVlb iBjbGVhbmVkIHlldCwgcmV0cnlpbmcgaW4gMTAgc2Vjb25kcwpTdWNjZXNzZnVsbHkgY2xlYW5lZ CByaWQoMTIzMyku nstaskstatus: Successfully cleaned rid(1233). nstaskexitcode: 0 dn: cn=WinSyncTask,cn=cleanallruv,cn=tasks,cn=config cn: WinSyncTask objectClass: extensibleObject objectClass: top replica-base-dn: dc=cleanallruv,dc=com replica-id: 1234 nstaskcurrentitem: 9 nstasktotalitems: 1 nstasklog:: Q2xlYW5pbmcgcmlkICgxMjM0KS4uLgpXYWl0aW5nIHRvIHByb2Nlc3MgYWxsIHRoZ SB1cGRhdGVzIGZyb20gdGhlIGRlbGV0ZWQgcmVwbGljYS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlI HJlcGxpY2FzIHRvIGJlIG9ubGluZS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvI HJlY2VpdmUgYWxsIHRoZSBkZWxldGVkIHJlcGxpY2EgdXBkYXRlcy4uLgpTZW5kaW5nIGNsZWFuQ WxsUlVWIHRhc2sgdG8gYWxsIHRoZSByZXBsaWNhcy4uLgpDbGVhbmluZyBsb2NhbCBydXYncy4uL gpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvIGJlIGNsZWFuZWQuLi4KUmVwbGljYXMga GF2ZSBub3QgYmVlbiBjbGVhbmVkIHlldCwgcmV0cnlpbmcgaW4gMTAgc2Vjb25kcwpSZXBsaWNhc yBoYXZlIG5vdCBiZWVuIGNsZWFuZWQgeWV0LCByZXRyeWluZyBpbiAyMCBzZWNvbmRz nstaskstatus: Replicas have not been cleaned yet, retrying in 20 seconds
CleanAllRUV task with task name - WinSyncTask for replica id - 1234 failed
Test result for cleanallruv_04, Checking whether the task is completed for Replica ID-1234 on M1-21921, Actual_Result=1, Expected_Result=0
TestCase [cleanallruv04] result-> [FAIL]
Comment 3 mreynolds 2012-11-26 12:27:21 EST
According to the output the task is still running, but we just stopped checking for the result and errored out.  Also, the latest version of cleanallruv should be tested - it is committed in 1.2.11 branch, but I don't know how you pull in those builds.

Can the DS error log and dse.ldif also be provided?

Thanks,
Mark
Comment 4 Noriko Hosoi 2012-12-07 16:37:40 EST
The issue is fixed by the upstream ticket #337:
RFE - improve cleanruv functionality
https://fedorahosted.org/389/ticket/337
Comment 5 Sankar Ramalingam 2012-12-18 02:18:45 EST
With the latest build, the cleanallruv tests passes. Hence marking the bug as Verified.


replica id - 1234 is not present/successfully removed from PORT-21928, INST-C2, return code-1
Test result for cleanallruv_04, Bug #855438 - CLEANALLRUV task gets stuck on winsync replication agreement, Actual_Result=0, Expected_Result=0
TestCase [cleanallruv04] result-> [PASS]
replica id - 1234 is not present/successfully removed from PORT-21926, INST-H2, return code-1

dn: cn=WinSyncTask,cn=cleanallruv,cn=tasks,cn=config cn: WinSyncTask objectClass: extensibleObject objectClass: top replica-base-dn: dc=cleanallruv,dc=com replica-id: 1234 nstaskcurrentitem: 9 nstasktotalitems: 1 nstasklog:: Q2xlYW5pbmcgcmlkICgxMjM0KS4uLgpXYWl0aW5nIHRvIHByb2Nlc3MgYWxsIHRoZ SB1cGRhdGVzIGZyb20gdGhlIGRlbGV0ZWQgcmVwbGljYS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlI HJlcGxpY2FzIHRvIGJlIG9ubGluZS4uLgpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvI HJlY2VpdmUgYWxsIHRoZSBkZWxldGVkIHJlcGxpY2EgdXBkYXRlcy4uLgpTZW5kaW5nIGNsZWFuQ WxsUlVWIHRhc2sgdG8gYWxsIHRoZSByZXBsaWNhcy4uLgpDbGVhbmluZyBsb2NhbCBydXYncy4uL gpXYWl0aW5nIGZvciBhbGwgdGhlIHJlcGxpY2FzIHRvIGJlIGNsZWFuZWQuLi4KV2FpdGluZyBmb 3IgYWxsIHRoZSByZXBsaWNhcyB0byBmaW5pc2ggY2xlYW5pbmcuLi4KU3VjY2Vzc2Z1bGx5IGNsZ WFuZWQgcmlkKDEyMzQpLg== nstaskstatus: Successfully cleaned rid(1234). nstaskexitcode: 0
CleanAllRUV task with task name - WinSyncTask for replica id - 1234 is completed successfully
Test result for cleanallruv_04, Checking whether the task is completed for Replica ID-1234 on M1-21921, Actual_Result=0, Expected_Result=0
TestCase [cleanallruv04] result-> [PASS]
-------------------Test cleanallruv_04 Completed------------------------
Comment 6 errata-xmlrpc 2013-02-21 03:20:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.